file_translation:
  label: "File with translations"
  description: "File download component with the available translations."
  fields:
    button_label:
      type: "text"
      label: "Label"
      description: "Download button label."
      preview: "Download"
    file:
      type: "FileValueObject"
      label: "File"
      description: "A file value object."
      preview:
        title: "Example document"
        mime: "application/pdf"
        url: "http://example.com/document.pdf"
        size: "150000"
        name: "document.pdf"
        language_code: "en"
    translations:
      type: "array"
      label: "Files"
      description: "List of FileValueObject objects."
      preview:
        - mime: "application/pdf"
          url: "http://example.com/document_fr.pdf"
          size: "150000"
          name: "document.pdf"
          language_code: "fr"
        - mime: "application/pdf"
          url: "http://example.com/document_it.pdf"
          size: "160000"
          name: "document.pdf"
          language_code: "it"
        - mime: "application/pdf"
          url: "http://example.com/document_hu.pdf"
          size: "170000"
          name: "document.pdf"
          language_code: "hu"
    translation_toggle_label:
      type: "text"
      label: "Translation toggle label"
      description: "Toggle label used for collapsing or expanding the available translations."
      preview: "Other languages"
    more_info:
      type: "text"
      label: "More information"
      description: "Informative text about the available translations."
      preview: "Looking for another language which is not on the list? Find out why."
